
QGIS Application - Bug report #13090

Crash on PostGIS layer save

2015-07-08 05:47 AM - Michal Zimmermann

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21157

Description

The following happens when I try to save edits to PostGIS layer. Tested both on localhost and remote server. Postgis 2.1.7 running on

PostgreSQL 9.4.

Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 477

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin[0x4cd810]

/usr/bin/qgis.bin[0x4cd918]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7f629bcc6bb1]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70ff9)[0x7f629bcc6ff9]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7f629bcc7804]

/usr/lib/qgis/plugins/libpostgresprovider.so(QgsPostgresProvider::addFeatures(QList<QgsFeature>&)+0xdac)[0x7f620f4573ac]

/usr/lib/libqgis_core.so.2.10.0(QgsVectorLayerEditBuffer::commitChanges(QStringList&)+0x7e1)[0x7f629d626581]

/usr/lib/libqgis_core.so.2.10.0(QgsVectorLayer::commitChanges()+0x86)[0x7f629d619c46]

/usr/bin/qgis.bin(QgisApp::saveEdits(QgsMapLayer*, bool, bool)+0x6e)[0x4d8a0e]

/usr/bin/qgis.bin(QgisApp::saveAllEdits(bool)+0xa9)[0x4ff9d9]

/usr/bin/qgis.bin[0x7edba7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2da)[0x7f629bde787a]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::triggered(bool)+0x32)[0x7f629b166a62]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAction::activate(QAction::ActionEvent)+0x63)[0x7f629b168433]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x5f3509)[0x7f629b596509]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x5f7a39)[0x7f629b59aa39]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xaca)[0x7f629b1bc51a]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QMenu::event(QEvent*)+0x5b)[0x7f629b59e83b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x8c)[0x7f629b16ce2c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x3ad)[0x7f629b1735dd]

/usr/lib/libqgis_core.so.2.10.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7f629d46f5cb]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7f629bdd34dd]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool)+0x153)[0x7f629b172d93]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x244d1c)[0x7f629b1e7d1c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x1559)[0x7f629b1e7289]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bb32)[0x7f629b20eb32]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7f6296f7fbd4]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x48e18)[0x7f6296f7fe18]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f6296f7febc]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x7f629be007a1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7f629b20ebe6]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7f629bdd20af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QMenu::exec(QPoint const&, QAction*)+0x67)[0x7f629b59d607]
/usr/lib/libqgis_gui.so.2.10.0(QgsLayerTreeView::contextMenuEvent(QContextMenuEvent*)+0xf5)[0x7f629cd62d55]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xd92)[0x7f629b1bc7e2]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x1e)[0x7f629b55e04e]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x1d3)[0x7f629b66d633]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x30)[0x7f629b6ac230]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)+0x86)[0x7f629bdd3646]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x6c)[0x7f629b16ce0c]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0xfc8)[0x7f629b1741f8]
/usr/lib/libqgis_core.so.2.10.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7f629d46f5cb]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7f629bdd34dd]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x244a40)[0x7f629b1e7a40]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x1559)[0x7f629b1e7289]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bb32)[0x7f629b20eb32]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7f6296f7fbd4]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x48e18)[0x7f6296f7fe18]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f6296f7febc]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x7f629be007a1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7f629b20ebe6]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7f629bdd20af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f629bdd7b79]
/usr/bin/qgis.bin[0x4c889f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f6299115ec5]
/usr/bin/qgis.bin[0x4cd258]
[1]    32076 abort (core dumped)  qg

1)[0x7f629be007a1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7f629b20ebe6]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7f629bdd20af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QMenu::exec(QPoint const&, QAction*)+0x67)[0x7f629b59d607]
/usr/lib/libqgis_gui.so.2.10.0(QgsLayerTreeView::contextMenuEvent(QContextMenuEvent*)+0xf5)[0x7f629cd62d55]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xd92)[0x7f629b1bc7e2]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x1e)[0x7f629b55e04e]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x1d3)[0x7f629b66d633]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x30)[0x7f629b6ac230]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)+0x86)[0x7f629bdd3646]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x6c)[0x7f629b16ce0c]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0xfc8)[0x7f629b1741f8]
/usr/lib/libqgis_core.so.2.10.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7f629d46f5cb]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7f629bdd34dd]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x244a40)[0x7f629b1e7a40]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x1559)[0x7f629b1e7289]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bb32)[0x7f629b20eb32]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7f6296f7fbd4]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x48e18)[0x7f6296f7fe18]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f6296f7febc]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x7f629be007a1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7f629b20ebe6]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7f629bdd20af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f629bdd7b79]
/usr/bin/qgis.bin[0x4c889f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f6299115ec5]
/usr/bin/qgis.bin[0x4cd258]
[1]    32076 abort (core dumped)  qgis


bdd20af]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QMenu::exec(QPoint const&, QAction*)+0x67)[0x7f629b59d607]
/usr/lib/libqgis_gui.so.2.10.0(QgsLayerTreeView::contextMenuEvent(QContextMenuEvent*)+0xf5)[0x7f629cd62d55]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xd92)[0x7f629b1bc7e2]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x1e)[0x7f629b55e04e]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x1d3)[0x7f629b66d633]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x30)[0x7f629b6ac230]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)+0x86)[0x7f629bdd3646]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x6c)[0x7f629b16ce0c]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0xfc8)[0x7f629b1741f8]
/usr/lib/libqgis_core.so.2.10.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7f629d46f5cb]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7f629bdd34dd]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x244a40)[0x7f629b1e7a40]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x1559)[0x7f629b1e7289]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bb32)[0x7f629b20eb32]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7f6296f7fbd4]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x48e18)[0x7f6296f7fe18]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f6296f7febc]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x7f629be007a1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7f629b20ebe6]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7f629bdd20af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f629bdd7b79]
/usr/bin/qgis.bin[0x4c889f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f6299115ec5]
/usr/bin/qgis.bin[0x4cd258]
[1]    32076 abort (core dumped)  qgis


]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QMenu::exec(QPoint const&, QAction*)+0x67)[0x7f629b59d607]

/usr/lib/libqgis_gui.so.2.10.0(QgsLayerTreeView::contextMenuEvent(QContextMenuEvent*)+0xf5)[0x7f629cd62d55]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xd92)[0x7f629b1bc7e2]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x1e)[0x7f629b55e04e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x1d3)[0x7f629b66d633]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x30)[0x7f629b6ac230]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,

QEvent*)+0x86)[0x7f629bdd3646]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x6c)[0x7f629b16ce0c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0xfc8)[0x7f629b1741f8]

/usr/lib/libqgis_core.so.2.10.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7f629d46f5cb]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7f629bdd34dd]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x244a40)[0x7f629b1e7a40]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x1559)[0x7f629b1e7289]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bb32)[0x7f629b20eb32]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x254)[0x7f6296f7fbd4]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x48e18)[0x7f6296f7fe18]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f6296f7febc]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x71)[0x7f629be007a1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7f629b20ebe6]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7f629bdd20af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f629bdd7b79]
/usr/bin/qgis.bin[0x4c889f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f6299115ec5]
/usr/bin/qgis.bin[0x4cd258]
[1]    32076 abort (core dumped)  qgis


1)[0x7f629be007a1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bbe6)[0x7f629b20ebe6]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7f629bdd20af]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f629bdd7b79]
/usr/bin/qgis.bin[0x4c889f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f6299115ec5]
/usr/bin/qgis.bin[0x4cd258]
[1]    32076 abort (core dumped)  qgis


bdd20af]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7f629bdd23a5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f629bdd7b79]
/usr/bin/qgis.bin[0x4c889f]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f6299115ec5]
/usr/bin/qgis.bin[0x4cd258]
[1]    32076 abort (core dumped)  qgis


]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f629bdd7b79]

/usr/bin/qgis.bin[0x4c889f]

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7f6299115ec5]

/usr/bin/qgis.bin[0x4cd258]

[1]    32076 abort (core dumped)  qgis

History

#1 - 2015-07-11 12:46 AM - Matthias Kuhn

- Status changed from Open to Feedback

Hi Michal,

Can you add some information about the table in question and the type of edits that you have made?

In particular, have you been adding or removing columns in the QGIS session?

#2 - 2015-07-11 10:13 AM - Michal Zimmermann

Hi Matthias,

I would love to but I switched to master when this error ocurred. It seems to be fixed in master.
#3 - 2015-11-10 03:45 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
